Name:           yubico-piv-tool
Summary:        The Yubico PIV tool is used for interacting with the Personal Identity Verification (PIV) application on a YubiKey
Version:        2.3.1
Release:        %mkrel 2
License:        BSD
Url:            https://github.com/Yubico/%{name}
Group:          Development/C
BuildRequires:  cmake
BuildRequires:  openssl-devel
BuildRequires:  pcsc-lite-devel
BuildRequires:  check-devel
BuildRequires:  gengetopt
BuildRequires:  help2man
Requires:		ccid
Requires:		pcsc-lite
Requires:		openssl
Source0:        https://github.com/Yubico/%{name}/archive/%{name}-%{version}/%{name}-%{version}.tar.gz

%description
The Yubico PIV tool is used for interacting with the Personal Identity Verification (PIV) application on a YubiKey.

With it you may generate keys on the device, importing keys and certificates, and create certificate requests, and other operations. A shared library and a command-line tool is included.

%prep
%setup -q -n %{name}-%{name}-%{version}

# Fix build issue for ykcs11 where the pthread lib is missing
perl -pi -e 's|-fvisibility=hidden|-fvisibility=hidden -pthread|' ykcs11/CMakeLists.txt

# Fix another build issue for help2man
perl -pi -e 's|ARGS -s1 -N |ARGS -s1 -N --no-discard-stderr |' cmake/help2man.cmake

%build
%cmake
cd build
%make_build

%install
%make_install -C build

# move pkcs files to the expected place and set it up
install -d -m 0755 %{buildroot}/%{_libdir}/pkcs11
mv %{buildroot}/%{_libdir}/libykcs11*.so.* %{buildroot}/%{_libdir}/pkcs11/
install -d -m 0755 %{buildroot}/%{_datadir}/p11-kit/modules
echo 'module: libykcs11.so.2' > %{buildroot}/%{_datadir}/p11-kit/modules/ykcs11.module

%files
%{_bindir}/%{name}
%{_libdir}/libykcs11*
%{_libdir}/pkcs11/libykcs11*
%{_libdir}/libykpiv*
%{_libdir}/pkgconfig/*
%{_includedir}/ykpiv/*
%{_datadir}/p11-kit/modules/ykcs11.module
%{_mandir}/man1/*.1.xz


%changelog
* Fri Apr 21 2023 bcornec <bcornec> 2.3.1-2.mga9
+ Revision: 1953815
- Fix dyn lib reference

* Fri Apr 21 2023 bcornec <bcornec> 2.3.1-1.mga9
+ Revision: 1953809
- Update yubico-piv-tool to upstream 2.3.1
- Fix deps pcscd useless now
- Fixes for mga8+
- Import yubico-piv-tool
- Created package structure for yubico-piv-tool.

